> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/accounts-api/buyer.md).

# Buyer

The Buyer object represents an individual buyer in the SoftwareOne Marketplace. Buyers are the recipients of invoices issued by SoftwareOne, and are essential for placing orders, creating agreements, and ordering subscriptions.

This object contains the following attributes:

<table data-full-width="false"><thead><tr><th width="145">Field</th><th width="163">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string, <a data-footnote-ref href="#user-content-fn-1">core</a></td><td>(Read-only) The primary identifier for the buyer.</td></tr><tr><td><code>status</code></td><td>string</td><td><p>The buyer's status. Allowed values: </p><ul><li><code>Enabled</code></li><li><code>Active</code></li><li><code>Disabled</code></li><li><code>Deleted</code></li></ul></td></tr><tr><td><code>name</code></td><td>string, core</td><td>The buyer's name.</td></tr><tr><td><code>icon</code></td><td>string</td><td>(Optional) The relative path to the buyer’s logo.</td></tr><tr><td><code>externalIds</code></td><td>object</td><td>(Optional) Represents the <a href="/pages/9jGPmng0BJtdrvILxkzt"><code>externalIds</code></a> object.</td></tr><tr><td><code>address</code></td><td>object</td><td>(Optional) Represents the <a href="/pages/JK9cJTOkLj4gyoajRydR"><code>address</code></a> object containing the buyer's address.</td></tr><tr><td><code>taxId</code></td><td>string</td><td>(Optional) The buyer's tax ID.</td></tr><tr><td><code>account</code></td><td>object</td><td>Represents the buyer’s <a href="/pages/tq2fdEq8olL6Ahrf4HVR#account-object"><code>account</code></a> object.</td></tr><tr><td><code>sellers</code></td><td>object</td><td>Represents the <a href="/pages/PaD34ifytF4C1mG4si0k#seller-object"><code>seller</code></a> object.</td></tr><tr><td><code>contact</code></td><td>object</td><td>Represents the <a href="/pages/DUaII7biguSaOUrCRUnN"><code>contact</code></a> object, which contains details of the contact person.</td></tr><tr><td><code>audit</code></td><td>object</td><td>(Red-only) Represents the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>audit</code></a> object.</td></tr></tbody></table>

## Examples

{% tabs %}
{% tab title="MINIMAL EXAMPLE" %}
{% code title="BUYER OBJECT" overflow="wrap" lineNumbers="true" %}

```json
{
	"id": "BUY-3911-2313",
	"contact": {
		"name": "Will Smith",
		"firstName": "Will",
		"lastName": "Smith",
		"email": "will.smith@adastraflex.com",
		"phone": null
	},
	"externalIds": {
		"erpCompanyContact": "WW-CON-123456",
		"erpCustomer": "WW-SCU-123456"
    },
	"status": "Active",
	"icon": null,
	"address": {
		"addressLine1": "PO Box 31",
		"addressLine2": "Victory Road",
		"postCode": "DE24 8BJ",
		"city": "Derby",
		"state": "Derbs",
		"country": "UK"
	},
	"taxId": "VAT1",
	"name": "Stark Industries"
}
```

{% endcode %}
{% endtab %}

{% tab title="COMPLETE EXAMPLE" %}
{% code title="BUYER OBJECT" lineNumbers="true" %}

```json
{
	"id": "BUY-3911-2313",
	"contact": {
		"name": "Will Smith",
		"firstName": "Will",
		"lastName": "Smith",
		"email": "will.smith@adastraflex.com",
		"phone": null,
		"user": {
			"id": "USR-0000-0001",
			"icon": null,
			"invited": "2024-02-03T11:34:15.381Z",
			"joined": "2024-02-04T12:34:15.381Z",
			"lastLogin": "2024-02-05T13:34:15.381Z",
			"name": "Will Smith"
		}
	},
    "externalIds": {
		"erpCompanyContact": "WW-CON-123456",
		"erpCustomer": "WW-SCU-123456"
    },
	"status": "Active",
	"icon": null,
	"address": {
		"addressLine1": "PO Box 31",
		"addressLine2": "Victory Road",
		"postCode": "DE24 8BJ",
		"city": "Derby",
		"state": "Derbs",
		"country": "UK"
	},
	"taxId": "VAT1",
	"account": {
		"id": "ACC-5563-4382",
		"type": "Client",
		"status": "Active",
		"icon": null,
		"name": "AdAstraflexx"
	},
	"name": "Stark Industries",
	"sellers": [
		{
			"id": "SEL-1299-2079",
			"externalId": "SWO_CH",
			"name": "SoftwareOne AG"
		}
	],
	"audit": {
		"created": {
			"at": "2023-12-14T13:44:20.896Z",
			"by": {
				"id": "USR-0000-0001",
				"icon": null,
				"invited": "2024-02-03T11:34:15.383Z",
				"joined": "2024-02-04T12:34:15.383Z",
				"lastLogin": null,
				"name": "Will Smith"
			}
		},
		"updated": {
			"at": "2024-01-06T19:04:16.692Z",
			"by": {
				"id": "USR-0000-0001",
				"icon": null,
				"invited": "2024-02-03T11:34:15.383Z",
				"joined": "2024-02-04T12:34:15.383Z",
				"lastLogin": null,
				"name": "Will Smith"
			}
		}
	}
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

[^1]: **Core** indicates the field is part of the base object schema. This is not the same as “required”.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/accounts-api/buyer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
